import 'package:flutter/material.dart';

import 'package:vone_ipfs/component/file_upload_view.dart';
import 'package:vone_ipfs/utils/ipfs_utils.dart';
import 'package:vone_ipfs/component/image_upload_view.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatefulWidget {
  const MyApp({Key? key}) : super(key: key);

  @override
  State<MyApp> createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
        body: HomePage(),
      ),
    );
  }
}

class HomePage extends StatefulWidget {
  const HomePage({Key? key}) : super(key: key);

  @override
  _HomePageState createState() => _HomePageState();
}

class _HomePageState extends State<HomePage> {

  @override
  void initState() {
    // TODO: implement initState
    super.initState();
    IPFSUtils.getInstance('10653', '5049af9a-5174-4bc2-b188-2d049b422102');
  }

  @override
  Widget build(BuildContext context) {
    return ListView(
      children: [
        Text('文件上传'),
        Container(
          child: FileUploadView([],'119','vonevone',(files){
            print(files);
          },
          isFixedDir: true),
          padding: const EdgeInsets.symmetric(horizontal: 15, vertical: 10),
        ),
        Text('单图片上传'),
        ImageUploadView(
          images: [],
          dirName: 'vonevone',
          dirId: '238',
          isFixedDir: true,
          uploadMode: UploadMode.SINGLE,
          btnPosition: UploadBtnPosition.RIGHT,
          valueChangedCallback: (value) {
            print(value);
          },
        ),
        Text('多图片上传'),
        ImageUploadView(
          dirName: 'vonevone',
          dirId: '119',
          images: [],
          isFixedDir: true,
          uploadMode: UploadMode.MULTIPLE,
          btnPosition: UploadBtnPosition.RIGHT,
          valueChangedCallback: (value) {
            print(value);
          },
        ),
      ],
    );
    // return Center(
    //   child: InkWell(
    //     child: Text('Running on:'),
    //     onTap: () {
    //       IPFSUtils.fileUploadSingle(context, (value) {});
    //     },
    //   ),
    // );
  }
}
