import 'package:vone_ipfs/bean/folder_data_entity.dart';

folderDataEntityFromJson(FolderDataEntity data, Map<String, dynamic> json) {
	if (json['code'] != null) {
		data.code = json['code'] is String
				? int.tryParse(json['code'])
				: json['code'].toInt();
	}
	if (json['message'] != null) {
		data.message = json['message'].toString();
	}
	if (json['data'] != null) {
		data.data = FolderDataData().fromJson(json['data']);
	}
	return data;
}

Map<String, dynamic> folderDataEntityToJson(FolderDataEntity entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['code'] = entity.code;
	data['message'] = entity.message;
	data['data'] = entity.data?.toJson();
	return data;
}

folderDataDataFromJson(FolderDataData data, Map<String, dynamic> json) {
	if (json['FileList'] != null) {
		data.fileList = (json['FileList'] as List).map((v) => FolderDataDataFileList().fromJson(v)).toList();
	}
	if (json['ParentID'] != null) {
		data.parentID = json['ParentID'] is String
				? int.tryParse(json['ParentID'])
				: json['ParentID'].toInt();
	}
	if (json['ParentName'] != null) {
		data.parentName = json['ParentName'].toString();
	}
	return data;
}

Map<String, dynamic> folderDataDataToJson(FolderDataData entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['FileList'] =  entity.fileList?.map((v) => v.toJson())?.toList();
	data['ParentID'] = entity.parentID;
	data['ParentName'] = entity.parentName;
	return data;
}

folderDataDataFileListFromJson(FolderDataDataFileList data, Map<String, dynamic> json) {
	if (json['FileID'] != null) {
		data.fileID = json['FileID'] is String
				? int.tryParse(json['FileID'])
				: json['FileID'].toInt();
	}
	if (json['FileMeta'] != null) {
		data.fileMeta = FolderDataDataFileListFileMeta().fromJson(json['FileMeta']);
	}
	return data;
}

Map<String, dynamic> folderDataDataFileListToJson(FolderDataDataFileList entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['FileID'] = entity.fileID;
	data['FileMeta'] = entity.fileMeta?.toJson();
	return data;
}

folderDataDataFileListFileMetaFromJson(FolderDataDataFileListFileMeta data, Map<String, dynamic> json) {
	if (json['FileName'] != null) {
		data.fileName = json['FileName'].toString();
	}
	if (json['UserName'] != null) {
		data.userName = json['UserName'].toString();
	}
	if (json['UploadTime'] != null) {
		data.uploadTime = json['UploadTime'].toString();
	}
	if (json['FileType'] != null) {
		data.fileType = json['FileType'].toString();
	}
	return data;
}

Map<String, dynamic> folderDataDataFileListFileMetaToJson(FolderDataDataFileListFileMeta entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['FileName'] = entity.fileName;
	data['UserName'] = entity.userName;
	data['UploadTime'] = entity.uploadTime;
	data['FileType'] = entity.fileType;
	return data;
}