import 'package:vone_ipfs/bean/upload_file_entity.dart';

uploadFileEntityFromJson(UploadFileEntity data, Map<String, dynamic> json) {
	if (json['code'] != null) {
		data.code = json['code'] is String
				? int.tryParse(json['code'])
				: json['code'].toInt();
	}
	if (json['data'] != null) {
		data.data = UploadFileData().fromJson(json['data']);
	}
	if (json['message'] != null) {
		data.message = json['message'].toString();
	}
	return data;
}

Map<String, dynamic> uploadFileEntityToJson(UploadFileEntity entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['code'] = entity.code;
	data['data'] = entity.data?.toJson();
	data['message'] = entity.message;
	return data;
}

uploadFileDataFromJson(UploadFileData data, Map<String, dynamic> json) {
	if (json['path'] != null) {
		data.path = json['path'].toString();
	}
	if (json['id'] != null) {
		data.id = json['id'] is String
				? int.tryParse(json['id'])
				: json['id'].toInt();
	}
	return data;
}

Map<String, dynamic> uploadFileDataToJson(UploadFileData entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['path'] = entity.path;
	data['id'] = entity.id;
	return data;
}