import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class LoadingUtils {
  static final LoadingUtils _instance = LoadingUtils._internal();

  //提供了一个工厂方法来获取该类的实例
  factory LoadingUtils() {
    return _instance;
  }

  LoadingUtils._internal();

  void showLoadingDialog(BuildContext context) {
    showGeneralDialog(
        context: context,
        barrierLabel: "",
        barrierColor: Colors.black.withOpacity(0.5),
        transitionDuration: const Duration(milliseconds: 500),
        barrierDismissible: true,
        pageBuilder: (BuildContext context, Animation animation,
            Animation secondaryAnimation) {
          return Scaffold(
            backgroundColor: Colors.transparent,
            body: Center(
              child: Container(
                width: 300,
                padding: const EdgeInsets.all(30),
                decoration: BoxDecoration(
                    color: Colors.white,
                    borderRadius: BorderRadius.circular(5)),
                child: Column(
                  mainAxisSize: MainAxisSize.min,
                  children: const [
                    Text(
                      '文件上传中...',
                      style: TextStyle(fontSize: 14, color: Colors.black),
                    )
                  ],
                ),
              ),
            ),
          );
        });
  }

  void dismiss(BuildContext context) {
    Navigator.of(context).pop();
  }
}
